Skip to content

upsertFailureMode

WRITE

Upsert failure mode.

POST /api/v1/resources/upsertFailureMode
curl -X POST '<your-host>/api/v1/resources/upsertFailureMode' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "type": "Maintenance",
    "_operation": "create"
  }'
Response
{
  "results": [
    {
      "id": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
"Maintenance""Quality""Operations""Other"

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "type": {
      "type": "string",
      "enum": [
        "Maintenance",
        "Quality",
        "Operations",
        "Other"
      ]
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "type",
    "_operation"
  ]
}